From 10c33a90a946a4337e37e54293e539e6f8cd2954 Mon Sep 17 00:00:00 2001
From: Laurenz Albe <laurenz.albe@cybertec.at>
Date: Wed, 29 Sep 2021 12:09:18 +0200
Subject: [PATCH] Fix external ICU links

The links explaining ICU locales and ICU API details have moved.

Also, remove the link to the "ICU Locale Explorer", since it is
no longer available.  We could have added a link to the source
at https://github.com/unicode-org/icu-demos, but the build
documentation is not very detailed, and an attempt to build
failed due to missing headers of unspecified origin.

Author: Anton Voloshin
Reviewed-by: Laurenz Albe

Discussion: https://postgr.es/m/68f32992-7ba7-f797-2bb3-8851bd70d95d@postgrespro.ru
---
 doc/src/sgml/charset.sgml | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

diff --git a/doc/src/sgml/charset.sgml b/doc/src/sgml/charset.sgml
index 05a6bf568f..f203c368c2 100644
--- a/doc/src/sgml/charset.sgml
+++ b/doc/src/sgml/charset.sgml
@@ -747,8 +747,8 @@ CREATE COLLATION german (provider = libc, locale = 'de_DE');
     set that is preloaded by <command>initdb</command>.  Users are encouraged
     to define their own collation objects that make use of these facilities to
     suit the sorting behavior to their requirements.
-    See <ulink url="http://userguide.icu-project.org/locale"></ulink>
-    and <ulink url="http://userguide.icu-project.org/collation/api"></ulink> for
+    See <ulink url="https://unicode-org.github.io/icu/userguide/locale/"></ulink>
+    and <ulink url="https://unicode-org.github.io/icu/userguide/collation/api.html"></ulink> for
     information on ICU locale naming.  The set of acceptable names and
     attributes depends on the particular ICU version.
    </para>
@@ -842,10 +842,6 @@ CREATE COLLATION german (provider = libc, locale = 'de_DE');
     subtag) can be found in
     the <ulink url="https://github.com/unicode-org/cldr/blob/master/common/bcp47/collation.xml">CLDR
     repository</ulink>.
-    The <ulink url="https://ssl.icu-project.org/icu-bin/locexp">ICU Locale
-    Explorer</ulink> can be used to check the details of a particular locale
-    definition.  The examples using the <literal>k*</literal> subtags require
-    at least ICU version 54.
    </para>
 
    <para>
-- 
2.31.1

